<div class="device-component-container">
    <div class="button-container">
        <button (click)="createDevice();" class="default-nav-button" mat-button>
            Create Device
        </button>
    </div>

    <table [dataSource]="$dataSource | async" mat-table>

        <!-- Name Column -->
        <ng-container matColumnDef="name">
            <th *matHeaderCellDef mat-header-cell> Device</th>
            <td *matCellDef="let device" [routerLink]="['/home/device', device.id]" mat-cell>
                {{device.name}}</td>

        </ng-container>

        <!-- ID Column -->
        <ng-container matColumnDef="farmName">
            <th *matHeaderCellDef mat-header-cell> Farm</th>
            <td *matCellDef="let device" [routerLink]="['/home/farm', device.farmId]"
                mat-cell> {{device.farmName}} </td>
        </ng-container>

        <!-- Field ID Column -->
        <ng-container matColumnDef="fieldName">
            <th *matHeaderCellDef mat-header-cell> Field</th>
            <td *matCellDef="let device" [routerLink]="['/home/field', device.fieldId]"
                mat-cell> {{device.fieldName}} </td>
        </ng-container>

        <tr *matHeaderRowDef="displayedColumns" mat-header-row></tr>
        <tr *matRowDef="let row; columns: displayedColumns;" mat-row></tr>
    </table>
</div>
